import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import './plugins/element.js'
import './assets/css/gobal.css'

// 导入element中的Message
import Message from 'element-ui'

//导入富文本编辑器
import VueQuillEditor from 'vue-quill-editor'
// require styles 导入富文本 编辑器的样式
import 'quill/dist/quill.core.css'
import 'quill/dist/quill.snow.css'
import 'quill/dist/quill.bubble.css'

//全局公用组件
import common from './views/demo/Common.vue'
import commonNav from './views/commonNav/CommonNav.vue'
import commonIndex from './views/commonIndex/commonIndex.vue'
import fenyebutton from './views/fenyebutton/fenyebutton.vue'
import commonhead from './views/commonhead/commonhead'

Vue.component('common', common) //只有头部带头像组件
Vue.component('commonNav', commonNav) //试题 头部公共组件
Vue.component('commonIndex', commonIndex) //主页头部公共组件
Vue.component('fenyebutton', fenyebutton) //主页头部公共组件
Vue.component('commonhead', commonhead) //公司基本信息公共组件





Vue.config.productionTip = false

//全局注册 富文本编辑器
Vue.use(VueQuillEditor)

import axios from 'axios'
// Vue.prototype.$http = axios
//根路径
// axios.defaults.baseURL = 'http://127.0.0.1:'

//将其挂载到原型对象上
Vue.prototype.$http = axios

//原型对象挂载elementui的弹出提示
Vue.prototype.$message = Message

new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app')